Skip to main content
Weavr Multi Product API
Outgoing Wire Transfers

Create a bulk of outgoing wire transfer transactions

POST/outgoing_wire_transfers/bulk/create

Deprecated in favour of the Operations in Bulk.

Transfers funds from multiple managed accounts to multiple external bank accounts.

The Outgoing Wire Transfer Profile (configured in the Multi Portal) specified determines the behaviour and restrictions of the transaction (for example, fees).

Note that even if the transaction is created successfully, you still need to check its state in order to determine if it is pending completion of an authentication challenge by the user.

Request

Header parameters

Request body

*
application/json
{}
OutgoingWireTransferBulkCreateRequestOutgoingWireTransferBulkCreateRequest · object · 1 field

Responses

200OK

Success

Headers
Body
application/json
{}
OutgoingWireTransferBulkCreateResponseOutgoingWireTransferBulkCreateResponse · object · 1 field
Response example
{  "response": [    {      "id": "string",      "profileId": "string",      "tag": "string",      "sourceInstrument": {        "type": "managed_accounts",        "id": "string"      },      "transferAmount": {        "currency": "string",        "amount": 0      },      "description": "string",      "destinationBeneficiary": {        "name": "string",        "type": "PERSONAL",        "address": "string",        "bankName": "string",        "bankAddress": "string",        "bankCountry": "string",        "bankAccountDetails": {          "iban": "string",          "bankIdentifierCode": "string"        },        "nationality": "string",        "dateOfBirth": "2024-01-01"      },      "scheduledTimestamp": "string"    }  ]}